=== debian/changelog ===
jalv (1.6.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:45 +0100

jalv (1.6.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump debhelper-compat version to 12
    + Bump standards version to 4.5.0
    + Build with python3 and gtk3 now (Closes: #943141)
    + Update other B-D
  * d/copyright: Update and add myself to the d/ section
  * Drop d/get-svn-source.sh & d/unpack_waf.sh, obsolete
  * Update patchset
  * d/rules: Rewrite to make the waf build work
  * d/watch: Remove opts for now

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:54:05 +0100
