=== debian/changelog ===
jalv (1.6.6-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/gbp.conf: Fix compression

  [ Dennis Braun ]
  * New upstream version 1.6.6
  * Add d/upstream/signing-key.asc
  * Add opts="pgpmode=auto" to d/watch
  * Add /d/upstream/metadata
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Set RRR: no
  * Remove obsolete LDFLAGS from d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 22:13:20 +0100
