=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgtk-3-dev,
  libjack-dev,
  liblilv-dev (>= 0.24.0~),
@@ -20,10 +21,11 @@
  lv2-dev (>= 1.16.0~),
  pkg-config,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/jalv/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
+Rules-Requires-Root: no
 
 Package: jalv
 Architecture: any
