=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export LINKFLAGS += $(LDFLAGS)
 export QT_SELECT := qt5
 export CC
 export PKGCONFIG = $(PKG_CONFIG)
