=== debian/changelog ===
jalv (1.6.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:57 +1100

jalv (1.6.8-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:47 +0000

jalv (1.6.8-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:11:56 +0000

jalv (1.6.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove constraints unnecessary since buster (oldstable)

  [ Dennis Braun ]
  * New upstream version 1.6.8
  * Build with meson
  * Refresh patchset, drop obsolete patches and/or applied by upstream
    and add patch to fix the meson build with fpic flag
  * d/control:
    + Bump Standards Version to 4.6.2
    + Refresh B-Ds and versions of B-Ds
    + Prefer libjack-dev over libjack-jackd2-dev
    + Update homepage URL
    + Change my email address
  * d/copyright: Remove waf entry and BSD license, and update copyright year
  * d/gbp.conf: Remove wrong compression
  * Format patch with gbp pq
  * Remove obsolete d/source/local-options
  * Add salsa ci config
  * d/watch: Use @ANY_VERSION@ and @ARCHIVE_EXT@

 -- Dennis Braun <snd@debian.org>  Thu, 10 Aug 2023 18:16:01 +0200
