=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtk-3-dev,
 libjack-dev | libjack-jackd2-dev,
 liblilv-dev,
 meson,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libserd-dev (>= 0.30.0~),
 libsord-dev,
 libsratom-dev (>= 0.6.4),
 libsuil-dev (>= 0.10.0),
 lv2-dev (>= 1.18.0~),
 pkg-config
Standards-Version: 4.6.2
Homepage: https://drobilla.net/software/jalv.html
Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
Rules-Requires-Root: no

Package: jalv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.
