## jalv 1.8.0

=== debian/changelog ===
jalv (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Build with Qt6
  * pkg-config -> pkgconf
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field
  * Drop meson build fix patch, applied by upstream
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Fri, 05 Dec 2025 22:55:47 +0100
