=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jalv
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -14,20 +13,19 @@
  libjack-dev | libjack-jackd2-dev,
  liblilv-dev,
  meson,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
  libserd-dev (>= 0.30.0~),
  libsord-dev,
  libsratom-dev (>= 0.6.4),
  libsuil-dev (>= 0.10.0),
  lv2-dev (>= 1.18.0~),
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/jalv.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
-Rules-Requires-Root: no
 
 Package: jalv
 Architecture: any
